<?php

require_once(__DIR__ . '/../../db/connect.php');
require_once(__DIR__ . '/../../util.php');

class EventModel {

    public function createEvent($stock, $createdTime, $details, $gambar) {
        echo "createEvent method called<br>"; 
        global $db;
    
        // Check if a file is uploaded
        if ($gambar !== null && isset($gambar['name']) && isset($gambar['tmp_name'])) {
            // $uploadDirectory = __DIR__ . '/../../assets/';
            $uploadedFilePath = 'assets/' . $gambar['name'];

            // Move the uploaded file to the desired directory
            if (move_uploaded_file($gambar['tmp_name'], $uploadedFilePath)) {
                echo "File uploaded successfully<br>";
            } else {
                echo "Error moving file to destination<br>";
                $uploadedFilePath = null; // Set to null if there's an error
            }
        } else {
            echo "No file uploaded<br>";
            $uploadedFilePath = null; // Set to null if no file is uploaded
        }
    
        $stmt = $db->prepare("INSERT INTO events (event_stock, event_created_time, event_details, gambar) VALUES (?, ?, ?, ?)");
    
        if ($stmt->execute([$stock, $createdTime, $details, $uploadedFilePath])) {
            echo "Event created successfully";
        } else {
            echo "Error creating event: " . print_r($stmt->errorInfo(), true);
        }
    }
    

    public function updateEvent($eventId, $stock, $createdTime, $details, $gambar = null) {
        global $db;
        $db->setAttribute(PDO::ATTR_AUTOCOMMIT, 1);
    
        echo "Updating Event with ID: $eventId, Stock: $stock, Created Time: $createdTime, Details: $details";
    
        // Check whether a new image is provided
        if ($gambar !== null) {
            $sql = "UPDATE events SET event_stock = '$stock', event_created_time = '$createdTime', event_details = '$details', gambar = '$gambar' WHERE event_id = $eventId";
        } else {
            $sql = "UPDATE events SET event_stock = '$stock', event_created_time = '$createdTime', event_details = '$details' WHERE event_id = $eventId";
        }
    
        $rowCount = $db->exec($sql);
    
        if ($rowCount !== false) {
            echo "Event updated successfully. Rows affected: $rowCount";
        } else {
            echo "Error updating event: " . print_r($db->errorInfo(), true);
        }
        return "Event updated successfully";
    }
    
    
    public function deleteEvent($eventId) {
        global $db;
    
        try {
            // Delete associated pembelian records
            $stmtPembelian = $db->prepare("DELETE FROM pembelian WHERE ticket_id IN (SELECT ticket_id FROM tickets WHERE event_id = ?)");
            $stmtPembelian->execute([$eventId]);
    
            // Delete associated tickets
            $stmtTickets = $db->prepare("DELETE FROM tickets WHERE event_id = ?");
            $stmtTickets->execute([$eventId]);
    
            // Delete the event
            $stmtEvent = $db->prepare("DELETE FROM events WHERE event_id = ?");
            $stmtEvent->execute([$eventId]);
    
            echo "Event, associated tickets, and pembelian records deleted successfully<br>";
    
            return "Event, associated tickets, and pembelian records deleted successfully";
        } catch (PDOException $e) {
            echo "Error: " . $e->getMessage() . "<br>";
    
            return "Error: " . $e->getMessage();
        }
    }
    
    public function getAllEvents() {
        global $db;

        $stmt = $db->query("SELECT * FROM events");
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
}
?>


