<?php
// app/models/Pembelian.php

require_once(__DIR__ . '/../../db/connect.php');


class PembelianModel {
    public function createPembelian($ticketId, $userId, $createdTime) {
        global $db;

        $stmt = $db->prepare("INSERT INTO pembelian (ticket_id, user_id, pembelian_created_time) VALUES (?, ?, ?)");
        $stmt->execute([$ticketId, $userId, $createdTime]);

        return "Pembelian created successfully";
    }

    public function getPembelian($pembelianId) {
        global $db;

        $stmt = $db->prepare("SELECT * FROM pembelian WHERE pembelian_id = ?");
        $stmt->execute([$pembelianId]);

        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    public function updatePembelian($pembelianId, $ticketId, $userId, $createdTime) {
        global $db;

        $stmt = $db->prepare("UPDATE pembelian SET ticket_id = ?, user_id = ?, pembelian_created_time = ? WHERE pembelian_id = ?");
        $stmt->execute([$ticketId, $userId, $createdTime, $pembelianId]);

        return "Pembelian updated successfully";
    }

    public function deletePembelian($pembelianId) {
        global $db;

        $stmt = $db->prepare("DELETE FROM pembelian WHERE pembelian_id = ?");
        $stmt->execute([$pembelianId]);

        return "Pembelian deleted successfully";
    }

    public function getAllPembelian(){
        global $db;

        $stmt = $db->query("SELECT * FROM pembelian");
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
}
?>
