<?php
// app/models/Ticket.php

require_once(__DIR__ . '/../../db/connect.php');


class TicketModel {
    public function createTicket($name, $price, $eventId) {
        global $db;

        $stmt = $db->prepare("INSERT INTO tickets (ticket_name, ticket_price, event_id) VALUES (?, ?, ?)");
        $stmt->execute([$name, $price, $eventId]);

        return "Ticket created successfully";
    }

    public function getTicket($ticketId) {
        global $db;

        $stmt = $db->prepare("SELECT * FROM tickets WHERE ticket_id = ?");
        $stmt->execute([$ticketId]);

        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    public function updateTicket($ticketId, $name, $price, $eventId) {
        global $db;

        $stmt = $db->prepare("UPDATE tickets SET ticket_name = ?, ticket_price = ?, event_id = ? WHERE ticket_id = ?");
        $stmt->execute([$name, $price, $eventId, $ticketId]);

        return "Ticket updated successfully";
    }

    public function deleteTicket($ticketId) {
        global $db;

        $stmt = $db->prepare("DELETE FROM tickets WHERE ticket_id = ?");
        $stmt->execute([$ticketId]);

        return "Ticket deleted successfully";
    }
}
?>
