<?php
   include 'connect.php';

   // Make sure $db is defined and not null
   if (isset($db)) {
      try {
         $sqlEvent = <<<EOF
            INSERT INTO events (event_stock, event_created_time, event_details, gambar) VALUES
            (100, '2023-09-30 10:00:00', 'Music Concert', 'assets/1.jpg'),
            (50, '2023-10-05 15:30:00', 'Art Exhibition', 'assets/2.png'),
            (200, '2023-11-12 18:45:00', 'Sports Tournament', 'assets/3.jpg'),
            (75, '2023-12-03 20:00:00', 'Comedy Show', 'assets/4.jpg'),
            (120, '2024-01-18 14:15:00', 'Tech Conference', 'assets/5.jpg');
         EOF;

         $sqlTicket = <<<EOF
            INSERT INTO tickets (ticket_name, ticket_price, event_id) VALUES
            ('General Admission', 20, 1),
            ('VIP Pass', 50, 1),
            ('Standard Ticket', 15, 2),
            ('Student Discount', 10, 2),
            ('Early Bird Special', 25, 3),
            ('Premium Access', 40, 3),
            ('Weekend Pass', 30, 4),
            ('Group Discount', 18, 4),
            ('Conference Pass', 60, 5),
            ('Exhibitor Pass', 75, 5);
         EOF;

         $sqlUser = <<<EOF
            INSERT INTO users (user_name, username, user_email, user_hashedPass, isAdmin) VALUES
            ('John Doe', 'john_doe', 'john@example.com', 'hashed_password_1', true),
            ('Jane Smith', 'jane_smith', 'jane@example.com', 'hashed_password_2', false),
            ('Admin User', 'admin_user', 'admin@example.com', 'hashed_password_3', true),
            ('Alice Johnson', 'alice', 'alice@example.com', 'hashed_password_4', false),
            ('Bob Williams', 'bob', 'bob@example.com', 'hashed_password_5', false);
         EOF;

         $sqlPembelian = <<<EOF
            INSERT INTO pembelian (ticket_id, user_id, pembelian_created_time) VALUES
            (1, 1, '2023-10-01 12:30:00'),
            (3, 2, '2023-10-06 16:15:00'),
            (2, 3, '2023-11-15 20:00:00'),
            (5, 4, '2023-12-05 10:45:00'),
            (8, 5, '2024-01-20 08:30:00');
         EOF;

         $db->beginTransaction();

         $db->exec($sqlEvent);
         // echo "Successfully inserted dummy data to events table<br/>";

         $db->exec($sqlTicket);
         // echo "Successfully inserted dummy data to tickets table<br/>";

         $db->exec($sqlUser);
         // echo "Successfully inserted dummy data to users table<br/>";

         $db->exec($sqlPembelian);
         // echo "Successfully inserted dummy data to pembelian table<br/>";

         $db->commit();
      } catch (PDOException $e) {
         $db->rollBack();
         // echo "Error: " . $e->getMessage();
      }
   } else {
      // echo "Error: Database connection not established.";
   }

   $db = null;
?>
