<?php
// home.php
session_start();
// var_dump($_POST);
// require_once './app/EventController.php';
require_once './app/Controllers/PembelianController.php';
require_once './app/Controllers/TicketController.php';
require_once './app/Controllers/UserController.php';
require_once './app/Controllers/EventController.php';

$eventController = new EventController();
$pembelianController = new PembelianController();
$ticketController = new TicketController();
$userController = new UserController();

// Check if form is submitted for event
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    var_dump($_POST); // Output for debugging purposes

    if (isset($_POST['action'])) {
        if ($_POST['action'] === 'createEvent') {
            $eventStock = $_POST['stock'];
            $eventCreatedTime = $_POST['createdTime'];
            $eventDetails = $_POST['details'];
            // $uploadedFilePath = $_POST['gambar'];

            // Check if the values are not empty
            if (!empty($eventStock) && !empty($eventCreatedTime) && !empty($eventDetails)) {
                var_dump($_FILES);
                $uploadedFilePath = isset($_FILES['gambar']) && $_FILES['gambar']['error'] === 0 ? $_FILES['gambar'] : null; // Check if 'gambar' is set in the files array

                // // Check for file upload
                // $uploadedFile = isset($_FILES['gambar']) ? $_FILES['gambar'] : null;

                // var_dump($uploadedFile); // Output for debugging purposes

                // if ($uploadedFile !== null && $uploadedFile['error'] === 0) {
                //     // Handle file upload 
                //     $uploadedFilePath = 'assets/' . $uploadedFile['name'];
                //     move_uploaded_file($uploadedFile['tmp_name'], $uploadedFilePath);
                // }

                $eventController->createEvent($eventStock, $eventCreatedTime, $eventDetails, $uploadedFilePath);
            } else {
                echo "Please fill in all the fields for creating an event.";
            }
        } elseif ($_POST['action'] === 'updateEvent') {
            $eventIdUpdate = $_POST['eventIdUpdate'];
            $eventStock = $_POST['eventStock'];
            $eventCreatedTime = $_POST['eventCreatedTime'];
            $eventDetails = $_POST['eventDetails'];
            var_dump($_FILES);
            // $uploadedFilePath = $_POST['uploadedFilePath'];
            // Check if the values are not empty
            if (!empty($eventIdUpdate) && !empty($eventStock) && !empty($eventCreatedTime) && !empty($eventDetails)) {
                $uploadedFilePath = isset($_FILES['gambar']) ? $_FILES['gambar'] : null; // Check if 'gambar' is set in the files array
                
                $uploadedFile = isset($_FILES['gambar']) ? $_FILES['gambar'] : null;
                // Check for file upload
                if ($uploadedFilePath !== null && $uploadedFilePath['error'] === 0) {
                    // Handle file upload
                    $uploadedFilePath = 'assets/' . $uploadedFile['name'];
                    move_uploaded_file($uploadedFile['tmp_name'], $uploadedFilePath);
                }

                $eventController->updateEvent($eventIdUpdate, $eventStock, $eventCreatedTime, $eventDetails, $uploadedFilePath);
            } else {
                echo "Please fill in all the fields for updating an event.";
            }
        } elseif ($_POST['action'] === 'deleteEvent') {
            $eventController->deleteEvent($_POST['eventIdDelete']);
        }
    }    
}


// check form submitted for User
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (isset($_POST['userAction'])) {
        $userController = new UserController();

        if ($_POST['userAction'] === 'createUser') {
            $userName = $_POST['userName'];
            $userUsername = $_POST['userUsername'];
            $userEmail = $_POST['userEmail'];
            $userPassword = $_POST['userPassword'];
            $isAdmin = isset($_POST['isAdmin']) ? 1 : 0;

            echo $userController->registerUser($userName, $userUsername, $userEmail, $userPassword, $isAdmin);
        } elseif ($_POST['userAction'] === 'updateUser') {
            $userIdUpdate = $_POST['userIdUpdate'];
            $userNameUpdate = $_POST['userNameUpdate'];
            $userUsernameUpdate = $_POST['userUsernameUpdate'];
            $userEmailUpdate = $_POST['userEmailUpdate'];
            $userPasswordUpdate = password_hash($_POST['userPasswordUpdate'], PASSWORD_DEFAULT);
            $isAdminUpdate = isset($_POST['isAdminUpdate']) ? 1 : 0;

            $userController->updateUser($userIdUpdate, $userNameUpdate, $userUsernameUpdate, $userEmailUpdate, $userPasswordUpdate, $isAdminUpdate);
        } elseif ($_POST['userAction'] === 'deleteUser') {
            $userIdDelete = $_POST['userIdDelete'];
            $userController->deleteUser($userIdDelete);
        } elseif ($_POST['userAction'] === 'login') {
            $loginEmail = $_POST['loginEmail'];
            $loginPassword = $_POST['loginPassword'];
            echo $userController->loginByEmail($loginEmail,$loginPassword);
        } elseif ($_POST['userAction'] === 'logout') {
            echo $userController->logout();
        }
    }
}


// Fetch all records for display
$events = $eventController->getAllEvents();
$pembelian = $pembelianController->getAllPembelian();
// $tickets = $ticketController->getAllTickets();
$users = $userController->getAllUsers();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CRUD Test</title>
    <link rel="stylesheet" type="text/css" href="./styles/global.css">
    <link rel="stylesheet" type="text/css" href="./styles/navbar.css">
    <link rel="stylesheet" type="text/css" href="./styles/form.css">
</head>

<body>
<!-- Navbar -->
    <div class="navbar">
        <div class="navbar-toggle" onclick="toggleMenu()">☰</div>
        <ul>
            <li><a href="#">Home</a></li>
            <li><a href="#">Events</a></li>
            <li><a href="#">Profile</a></li>
            <li><a href="#">History</a></li>
            <!-- Logout Button -->
            <li>
                <form method="post" action="home.php">
                    <button type="submit" name="userAction" value="logout">Logout</button>
                </form>
            </li>
        </ul>
    </div>
    <h1>EDIT DATA</h1>

    <!-- Event CRUD Form -->
    <div class="event-form">
        <h2>Events</h2>

        <!-- Create Event -->
        <form method="post" action="home.php" enctype="multipart/form-data">
            <label>Create Event:</label>
            <input type="text" name="stock" placeholder="Stock">
            <input type="datetime-local" name="createdTime">
            <input type="text" name="details" placeholder="Details">

            <!-- Drag-and-drop area for image upload -->
            <div id="drop-area-create">
                <p>Drag and drop an image file here or click to select one.</p>
                <input type="file" id="file-input-create" name="gambar" accept="image/*">
            </div>

            <button type="submit" name="action" value="createEvent">Create</button>
        </form>

        <!-- Update Event -->
        <form method="post" action="home.php" enctype="multipart/form-data">
            <label>Update Event:</label>
            <input type="text" name="eventIdUpdate" placeholder="Event ID">
            <input type="text" name="eventStock" placeholder="Stock">
            <input type="datetime-local" name="eventCreatedTime">
            <input type="text" name="eventDetails" placeholder="Details">

            <!-- Drag-and-drop area for image upload -->
            <div id="drop-area-update">
                <p>Drag and drop an image file here or click to select one.</p>
                <input type="file" id="file-input-update" name="gambar" accept="image/*">
            </div>

            <button type="submit" name="action" value="updateEvent">Update</button>
        </form>

        <form method="post" action="home.php">
            <!-- Delete Event -->
            <label>Delete Event:</label>
            <input type="text" name="eventIdDelete" placeholder="Event ID">
            <button type="submit" name="action" value="deleteEvent">Delete</button>
        </form>
    </div>


    <!-- User CRUD Form -->
    <div class="user-form">
        <h2>Users</h2>

        <!-- Create User -->
        <form method="post" action="home.php">
            <label>Create User:</label>
            <input type="text" name="userName" placeholder="Name">
            <input type="text" name="userUsername" placeholder="Username">
            <input type="email" name="userEmail" placeholder="Email">
            <input type="password" name="userPassword" placeholder="Password">
            <input type="checkbox" name="isAdmin" value="1"> Admin
            <button type="submit" name="userAction" value="createUser">Create</button>
        </form>

        <!-- Update User -->
        <form method="post" action="home.php">
            <label>Update User:</label>
            <input type="text" name="userIdUpdate" placeholder="User ID">
            <input type="text" name="userNameUpdate" placeholder="Name">
            <input type="text" name="userUsernameUpdate" placeholder="Username">
            <input type="email" name="userEmailUpdate" placeholder="Email">
            <input type="password" name="userPasswordUpdate" placeholder="Password">
            <input type="checkbox" name="isAdminUpdate" value="1"> Admin
            <button type="submit" name="userAction" value="updateUser">Update</button>
        </form>

        <!-- Delete User -->
        <form method="post" action="home.php">
            <label>Delete User:</label>
            <input type="text" name="userIdDelete" placeholder="User ID">
            <button type="submit" name="userAction" value="deleteUser">Delete</button>
        </form>

        <!-- Login -->
        <form method="post" action="home.php">
            <label>Login:</label>
            <input type="email" name="loginUsername" placeholder="Email">
            <input type="password" name="loginPassword" placeholder="Password">
            <button type="submit" name="userAction" value="login">Login</button>
        </form>
    </div>


    <div class="footer">
        &copy; <?php echo date("Y"); ?> Ticket Ku. All rights reserved.
    </div>

    <script defer>
        function toggleMenu() {
            const navbar = document.querySelector('.navbar ul');
            navbar.classList.toggle('show');
        }
    </script>
</body>

</html>
