<?php
    session_start();
    include './db/connect.php';
    // include './db/init.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>TICKET KU</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="./styles/global.css">
    <link rel="stylesheet" type="text/css" href="./styles/navbar.css">
</head>

<body>

    <div class="index">
    <!-- Navbar -->
    <div class="navbar">
        <div class="navbar-toggle" onclick="toggleMenu()">☰</div>
        <ul>
            <li><a href="#">Home</a></li>
            <li><a href="#">Events</a></li>
            <li><a href="#">Profile</a></li>
            <li><a href="#">History</a></li>
            <!-- Logout Button -->
            <li>
                <form method="post" action="home.php">
                    <button type="submit" name="userAction" value="logout">Logout</button>
                </form>
            </li>
        </ul>
    </div>
    <script defer>
        function toggleMenu() {
            const navbar = document.querySelector('.navbar ul');
            navbar.classList.toggle('show');
        }
    </script>

        <div class="hero">
            <img src="./assets/Hero.png" alt="Hero Image">
            <h1 class="hero-title">Ticket Ku</h1>
        </div>
        <div class="button">
                <li><a href="home.php">Edit</a></li>
        </div>
        <div class="events">
            <h2>All Events</h2>
            <ul>
                <?php
                    require_once './app/Controllers/EventController.php';
                    $eventController = new EventController();
                    // Get all events
                    $allEvents = $eventController->getAllEvents();

                    // Loop through events and display details
                    foreach ($allEvents as $event) {
                        echo "<li>";
                        echo "<strong>Event ID:</strong> " . $event['event_id'] . "<br>";
                        echo "<strong>Stock:</strong> " . $event['event_stock'] . "<br>";
                        echo "<strong>Created Time:</strong> " . $event['event_created_time'] . "<br>";
                        echo "<strong>Details:</strong> " . $event['event_details'] . "<br>";
                        echo "<strong>Image:</strong> <img src='" . $event['gambar'] . "' alt='Event Image' width='100'><br>";
                        echo "</li>";
                    }

                    include './db/init.php';
                ?>
            </ul>
        </div>
        <div class="footer">
            &copy; 2023 Ticket Ku. All rights reserved.
        </div>
    </div>
</body>

</html>
